Bug 184679 - Upload to www.rapidshare.com doesn't work
Summary: Upload to www.rapidshare.com doesn't work
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-17 17:32 UTC by giuseppe
Modified: 2009-02-21 20:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description giuseppe 2009-02-17 17:32:05 UTC
Version:           4.2.00 (KDE 4.2.0) (using 4.2.00 (KDE 4.2.0), volkerdi@slackware.com)
Compiler:          gcc
OS:                Linux (i686) release 2.6.27.7-smp

Simply go to

http://www.rapidshare.com/
Try to upload something
and the site return this
error 
"Please choose a file you want to upload to RapidShare. You can get further information in our FAQ section."
Problem is tested with latest flash 10 for linux
Comment 1 Maksim Orlovich 2009-02-18 16:31:59 UTC
This is due to the paranoia check about hidden file inputs being submitted --- could probably be removed these days, due to upload list warning dialog.
(Also seems like there is some flakiness producing onchange for file inputs)
Comment 2 Maksim Orlovich 2009-02-21 19:33:35 UTC
Hrmhmh. Somewhat trickier than I thought, since it only keeps the value in the renderer.
Comment 3 Maksim Orlovich 2009-02-21 19:53:46 UTC
SVN commit 929635 by orlovich:

Remove some paranoia about file widgets being hidden:
1. Legitimate websites like to do it
2. The user can see everything being submitted in the file list
3. There were ways around it anyway.
Fixes the rapidshare.com uploader, and perhaps others.
BUG:184679


 M  +2 -7      html_formimpl.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=929635
Comment 4 Maksim Orlovich 2009-02-21 20:00:02 UTC
SVN commit 929638 by orlovich:

Merged revision 929635:
Remove some paranoia about file widgets being hidden:
1. Legitimate websites like to do it
2. The user can see everything being submitted in the file list
3. There were ways around it anyway.
Fixes the rapidshare.com uploader, and perhaps others.
BUG:184679

 M  +2 -7      html_formimpl.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=929638